Subject: Re: how to list commits on branch since last merge

From: Michael J Gruber <[email-masked]>
Date: Tue, 08 Mar 2011 09:48:50 +0100

Jay Soffian venit, vidit, dixit 08.03.2011 08:24:
> Given this history:
> 
> o---o---x---o---...    foo
>  \       \
>   o---o---m---o---...  bar
> 
> I want to list the commits on bar newer than merge m (the last merge
> from foo). merge-base returns x.
> 
> I feel like I'm going to face-palm upon reply, but the only way I see
> to do it is:
> 
>   $ git rev-list --ancestry-path $(git merge-base foo bar)..bar
> 
> Or by greping the output of rev-list --merges --parents foo..bar
> looking for the merge base.
> 
> I must be missing something obvious, since this feels like it should
> be a common operation. :-)

Have you tried:

git rev-list --ancestry-path --left-right foo...bar

If the ">" commits are the ones that you want you only have to wait for
the "--right-only" option which is cooking in pu. And grep '^>' for now ;)

Michael